var chapters = [
  { topic: "chapter", section: "1", title: "Introduction to Oracle Platform Security Services", anchor: "JISEC1827", file: "underjps.htm" },
  { topic: "chapter", section: "2", title: "Understanding Users and Roles", anchor: "JISEC2259", file: "introroles.htm" },
  { topic: "chapter", section: "3", title: "Understanding Identities, Policies, Credentials, Keys, Certificates, and Auditing", anchor: "JISEC2272", file: "stores.htm" },
  { topic: "chapter", section: "4", title: "About Oracle Platform Security Services Scenarios", anchor: "JISEC1874", file: "scenario.htm" },
  { topic: "chapter", section: "5", title: "Security Administration", anchor: "JISEC1901", file: "gsofmsec.htm" },
  { topic: "chapter", section: "6", title: "Deploying Secure Applications", anchor: "JISEC2395", file: "addlsecfea.htm" },
  { topic: "chapter", section: "7", title: "Lifecycle of Security Artifacts", anchor: "JISEC10057", file: "lcmmanag.htm" },
  { topic: "chapter", section: "8", title: "Configuring the Identity Store Service", anchor: "JISEC9189", file: "idstoreadm.htm" },
  { topic: "chapter", section: "9", title: "Configuring the OPSS Security Store", anchor: "JISEC2291", file: "cfgauthr.htm" },
  { topic: "chapter", section: "10", title: "Managing the Policy Store", anchor: "JISEC6758", file: "managepols.htm" },
  { topic: "chapter", section: "11", title: "Managing the Credential Store", anchor: "JISEC2301", file: "csfadmin.htm" },
  { topic: "chapter", section: "12", title: "Managing Keys and Certificates with the Keystore Service", anchor: "JISEC9596", file: "kssadm.htm" },
  { topic: "chapter", section: "13", title: "Introduction to Oracle Fusion Middleware Audit Service", anchor: "JISEC1982", file: "audintro.htm" },
  { topic: "chapter", section: "14", title: "Configuring and Managing Auditing", anchor: "JISEC2003", file: "audpolicy.htm" },
  { topic: "chapter", section: "15", title: "Using Audit Analysis and Reporting", anchor: "JISEC2539", file: "audreport.htm" },
  { topic: "chapter", section: "16", title: "Integrating Application Security with OPSS", anchor: "JISEC4479", file: "intregrating.htm" },
  { topic: "chapter", section: "17", title: "The OPSS Policy Model", anchor: "JISEC6764", file: "polmodel.htm" },
  { topic: "chapter", section: "18", title: "Configuring Java EE Applications to Use OPSS", anchor: "JISEC3953", file: "devmancfg.htm" },
  { topic: "chapter", section: "19", title: "Configuring Java SE Applications to Use OPSS", anchor: "JISEC2121", file: "devauthn.htm" },
  { topic: "chapter", section: "20", title: "Developing with the Authorization Service", anchor: "JISEC2150", file: "devauthoriz.htm" },
  { topic: "chapter", section: "21", title: "Developing with the Credential Store Framework", anchor: "JISEC2139", file: "devcsf.htm" },
  { topic: "chapter", section: "22", title: "Developing with the User and Role API", anchor: "JISEC2157", file: "devuserole.htm" },
  { topic: "chapter", section: "23", title: "Developing with the Identity Directory API", anchor: "JISEC9764", file: "devidd.htm" },
  { topic: "chapter", section: "24", title: "Developing with the Keystore Service", anchor: "JISEC9700", file: "devkss.htm" },
  { topic: "chapter", section: "25", title: "Developing with the Audit Service", anchor: "JISEC9701", file: "devaudit.htm" },
  { topic: "appendix", section: "A", title: "OPSS Configuration File Reference", anchor: "JISEC2163", file: "apjpscfg.htm" },
  { topic: "appendix", section: "B", title: "File-Based Identity and Policy Store Reference", anchor: "JISEC2186", file: "apsysjaz.htm" },
  { topic: "appendix", section: "C", title: "Oracle Fusion Middleware Audit Framework Reference", anchor: "JISEC2389", file: "apaudit.htm" },
  { topic: "appendix", section: "D", title: "User and Role API Reference", anchor: "JISEC2833", file: "apusrole.htm" },
  { topic: "appendix", section: "E", title: "Administration with Scripting and MBean Programming", anchor: "JISEC2249", file: "apadvadmin.htm" },
  { topic: "appendix", section: "F", title: "OPSS System and Configuration Properties", anchor: "JISEC2229", file: "jpsprops.htm" },
  { topic: "appendix", section: "G", title: "OPSS API References", anchor: "JISEC3714", file: "apreferences.htm" },
  { topic: "appendix", section: "H", title: "Using an OpenLDAP Identity Store", anchor: "JISEC4955", file: "openid.htm" },
  { topic: "appendix", section: "I", title: "Adapter Configuration for Identity Virtualization", anchor: "JISEC9343", file: "apidvirtual.htm" },
  { topic: "appendix", section: "J", title: "Troubleshooting OPSS", anchor: "JISEC3955", file: "aptrouble.htm" },
  { } ];
